Bug 253170 - apt-get source is broken
apt-get source is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 05:29 EDT by Pierre Ossman
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 05:29:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2007-08-17 05:29:22 EDT
I can no longer download source packages using "apt-get source". All I get back
is that the package cannot be found. apt-cache showsrc doesn't show it either.

Source package databases seem to be present. I get files of substantial size for
the repomd-src lines. I don't know how to manually verify them though.
Comment 1 Panu Matilainen 2007-08-17 05:48:41 EDT
Confirmed, it's something in the new sqlite-backend as forcing xml metadata
makes it work again. I'll look into it, most likely just a silly oversight
somewhere.

In the meanwhile, you can work around it by adding this in /etc/apt/apt.conf:
Acquire::RepoMD::NoDB "true";
Comment 2 Axel Thimm 2007-08-17 06:51:48 EDT
(PS: Don't forget to put me in the Cc when reassigning bugs :)

> In the meanwhile, you can work around it by adding this in /etc/apt/apt.conf:
> Acquire::RepoMD::NoDB "true";

Should this become the default until new upstream sources are available (or
perhaps a patch)? Or will you be faster fixing the bug than applying the
workaround? :)
Comment 3 Panu Matilainen 2007-08-17 06:59:52 EDT
Fix is here - talk about a silly oversight :)
http://apt-rpm.org/scm/?p=apt.git;a=commitdiff;h=b4f1403ed91beb1d856dc90fb1950655789aa255

So, it'll be fixed in next upstream update at least, but of course we can patch
it into current fedora-devel package if it's seen important.
Comment 4 Panu Matilainen 2007-08-23 05:29:28 EDT
Fixed in next rawhide push via update to apt-0.5.15lorg3.93. 

Pierre, thanks for noticing and reporting this!

Note You need to log in before you can comment on or make changes to this bug.